# $Revision: 1.8.2.1 $, $Date: 2003/03/13 00:56:46 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Primes
Summary:	Crypt::Primes perl module
Summary(pl):	Modu perla Crypt::Primes
Name:		perl-Crypt-Primes
Version:	0.50
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6.1
BuildRequires:	perl-Crypt-Random >= 0.33
BuildRequires:	perl-Math-Pari >= 2.001804
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::Primes Perl module - Provable Prime Number Generator suitable
for Cryptographic Applications.

%description -l pl
Modu Perla Crypt::Primes - wiarygodny generator liczb pierwszych,
nadajcy si dla aplikacji kryptograficznych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/*
%{perl_sitelib}/Crypt/Primes.pm
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-Primes.spec,v $
Revision 1.8.2.1  2003/03/13 00:56:46  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.8  2003/02/25 00:37:44  radek
- use the __perl macro

Revision 1.7  2003/02/18 15:29:32  ankry
- massive attack: change CPAN URLs

Revision 1.6  2003/02/05 16:17:42  ankry
- autoupdated to 0.50

Revision 1.5  2002/07/20 10:18:38  qboosh
- new %%doc, added BRs, longer descriptions
- added missing largeprimes script
- release 2

Revision 1.4  2002/07/10 08:46:49  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.3  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.2  2002/03/07 18:36:49  kloczek
- spec adapterized.
